top of page

Arrêt du support de MySQL, de PostgreSQL 9 et de Java 8 avec Squash TM 4.0


A partir de la version 4.0 de Squash TM, MySQL, PostgreSQL 9 et Java 8 ne seront plus supportés

A l'occasion de la sortie de la prochaine de la version 4.0.0 de Squash TM, prévue fin S1 2022, la version de Java et les drivers de connexion aux bases de données PostgreSQL et MariaDB sont mis à jour.

En conséquence de choix imposés par ces outils, Squash TM 4.0.0 ne sera pas compatible avec :

  • MySQL quelle que soit sa version

  • MariaDB 10.1

  • PostgreSQL 9 (pour rappel PostgreSQL 10 n'est également pas supporté)

  • Java 8 (Java installé sur la machine hébergeant Squash TM)

Si vous utilisez Squash avec une de ces versions, nous vous recommandons de réaliser la montée de version de vos outils ou de réaliser une migration dans le cas de MySQL avant d'envisager un upgrade en version 4.0 de Squash TM.


Si vous êtes dans ce cas, voici nos recommandations par outils :


MySQL :

Pour remplacer votre MySQL, vous devrez réaliser une migration de votre base de données Squash TM vers MariaDB ou PostgreSQL.

La migration MySQL vers MariaDB se fait naturellement grâce à la proximité des deux outils. Pour vous guider dans cette démarche, vous pouvez vous appuyer sur la documentation MariaDB à ce sujet : https://mariadb.com/kb/en/upgrading-from-mysql-to-mariadb/. Nous recommandons la version 10.5 de MariaDB.

La migration MySQL vers PostgreSQL est possible mais plus complexe. Si celle-ci vous intéresse, Henix peut proposer une prestation pour cette migration. Merci dans ce cas de prendre contact via ce lien : https://www.henix.com/rdv-avec-un-ingenieur-produit-squash-gitlab.


PostgreSQL :

Pour réaliser l'upgrade de votre PostgreSQL suivre les recommandations de la documentation PostgreSQL : https://www.postgresql.org/docs.

Nous recommandons un upgrade à minima version 11 de PostgreSQL ou supérieure car les versions 9 et 10 ne sont pas supportées.


Java :

Nous recommandons la version 11 de Java pour installer la prochaine version de Squash TM. L'outil est également compatible avec OpenJDK.


Comentarios


bottom of page